pyscrabble_1.6.2-9_all.deb


Advertisement

Description

pyscrabble - multiplayer scrabble implementation written in Python - client part

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe amd64
Package name pyscrabble
Package version 1.6.2
Package release 9
Package architecture all
Package type deb
Installed size 628 B
Download size 150.66 KB
Official Mirror archive.ubuntu.com
PyScrabble is an online, multiplayer implementation of the popular word game
written in Python and featuring:
* chat and private messaging (online as well as offline)
* player rankings and server statistics
* use of ENABLE (Enhanced North American Benchmark LExicon) for
English word lookup
* timed games
The following languages are supported:
* English
* Finnish
* French
* German
* Serbian
This package contains the client program.
Notice: Scrabble is a registered trademark belonging to Hasbro Inc in
the US, and to J.W. Spear & Sons Ltd., a subsidiary of Mattel Inc.,
throughout the rest of the world. Neither the author, Debian, nor
this game are affiliated with the Scrabble Crossword Game, Hasbro,
Spear & Sons or Mattel in any fashion.

Alternatives

Package Version Architecture Repository
pyscrabble_1.6.2-9_all.deb 1.6.2 all Ubuntu Universe
pyscrabble - - -

Requires

Name Value
pyscrabble-common = 1.6.2-9
python >= 2.7.1-0ubuntu2
python-gtk2 -
python-pygame -

Download

Type URL
Binary Package pyscrabble_1.6.2-9_all.deb
Source Package pyscrabble

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install pyscrabble deb package:
    # sudo apt-get install pyscrabble

Files

Path
/usr/games/pyscrabble
/usr/share/applications/pyscrabble.desktop
/usr/share/doc/pyscrabble/changelog.Debian.gz
/usr/share/doc/pyscrabble/copyright
/usr/share/games/pyscrabble/images/py.ico
/usr/share/games/pyscrabble/images/py_old.ico
/usr/share/games/pyscrabble/images/pyscrabble.xpm
/usr/share/games/pyscrabble/images/send-im.png
/usr/share/games/pyscrabble/locale/de/LC_MESSAGES/pyscrabble.mo
/usr/share/games/pyscrabble/locale/fi/LC_MESSAGES/pyscrabble.mo
/usr/share/games/pyscrabble/locale/fr/LC_MESSAGES/pyscrabble.mo
/usr/share/games/pyscrabble/locale/sr/LC_MESSAGES/pyscrabble.mo
/usr/share/games/pyscrabble/python/pyscrabble-main.py
/usr/share/games/pyscrabble/python/pyscrabble/gtkconstants.py
/usr/share/games/pyscrabble/python/pyscrabble/gtkutil.py
/usr/share/games/pyscrabble/python/pyscrabble/gui/__init__.py
/usr/share/games/pyscrabble/python/pyscrabble/gui/chat.py
/usr/share/games/pyscrabble/python/pyscrabble/gui/game.py
/usr/share/games/pyscrabble/python/pyscrabble/gui/info.py
/usr/share/games/pyscrabble/python/pyscrabble/gui/login.py
/usr/share/games/pyscrabble/python/pyscrabble/gui/main.py
/usr/share/games/pyscrabble/python/pyscrabble/gui/message.py
/usr/share/games/pyscrabble/python/pyscrabble/gui/options.py
/usr/share/games/pyscrabble/python/pyscrabble/gui/pieces.py
/usr/share/games/pyscrabble/python/pyscrabble/gui/register.py
/usr/share/games/pyscrabble/python/pyscrabble/gui/tip.py
/usr/share/games/pyscrabble/python/pyscrabble/net/client.py
/usr/share/games/pyscrabble/sounds/notif.wav
/usr/share/icons/hicolor/16x16/apps/pyscrabble.png
/usr/share/icons/hicolor/22x22/apps/pyscrabble.png
/usr/share/icons/hicolor/32x32/apps/pyscrabble.png
/usr/share/icons/hicolor/48x48/apps/pyscrabble.png
/usr/share/icons/hicolor/64x64/apps/pyscrabble.png
/usr/share/icons/hicolor/96x96/apps/pyscrabble.png
/usr/share/icons/hicolor/scalable/apps/pyscrabble.svgz
/usr/share/menu/pyscrabble
/usr/share/pixmaps/pyscrabble-16x16.xpm
/usr/share/pixmaps/pyscrabble-32x32.xpm
/usr/share/python/runtime.d/pyscrabble.rtupdate

Changelog

2012-04-11 - Magnus Holmgren <holmgren@debian.org>
pyscrabble (1.6.2-9) unstable; urgency=low
* Switch to rsvg-convert for making PNG icons (Closes: #666634).
* Bump Standards-Version to 3.9.3.
2012-01-29 - Magnus Holmgren <holmgren@debian.org>
pyscrabble (1.6.2-8) unstable; urgency=low
* typeerrors.patch: Fix two cases of attempting to pass floats to
functions expecting ints:
- In the motion-notify-event callback of the chatboxes, which should
change the cursor into a hand when over a URL (LP: #923363). 
- In the button-press-event callback of the buttons making up the
board, which should produce an arrow to allow tiles to be placed by
typing letters.
2011-11-11 - Magnus Holmgren <holmgren@debian.org>
pyscrabble (1.6.2-7) unstable; urgency=low
* max-players.patch: Before denying a player from joining a game because
the maximum number of players has been reach, check whether the player
is rejoining a game he or she is already part of (Closes: #633838).
Thanks to Christian von Kietzell.
* Add build-indep and build-arch targets.
2011-05-04 - Magnus Holmgren <holmgren@debian.org>
pyscrabble (1.6.2-6) unstable; urgency=low
* Move Python modules and scripts to /usr/share/games/pyscrabble/python
and put symlinks in /usr/games and /usr/sbin.
* installation.patch: Reduce the size by moving back code that was
unnecessarily moved from dist.py to setup.py.
2011-04-25 - Magnus Holmgren <holmgren@debian.org>
pyscrabble (1.6.2-5) unstable; urgency=low
* Convert package to source format 3.0 (quilt), meaning renaming the
patches and converting their headers as well as dropping
README.source.
* Convert to using dh_python2 (Closes: #616983).
* Run setup.py with --install-layout=deb to get filesystem layout right.
* Bump Debhelper compat level to 7.
* pyscrabble-server.README.Debian: Clarify that pyscrabble-server is not
intended to be run from the command line directly (Closes: #611833).
* hosts.patch: Improve the code for adding new entries to the Additional
Hosts list:
* Fix C&P bug that caused the Game port to be validated twice but the 
Web port not at all.  
* Pre-fill the default port numbers to help the user (Closes: #566666).
* Don't destroy the dialog until the entered values have been extracted.
* Increase Standards-Version to 3.9.2 without changes needed.
2009-09-22 - Magnus Holmgren <holmgren@debian.org>
pyscrabble (1.6.2-4) unstable; urgency=low
* Merge changes from Ubuntu, except for the Replaces added to deal with
the typo in in 1.6.2-3ubuntu3, which should be gone by now.
* Move pyscrabble-server from /usr/games to /usr/sbin (Closes: #506811).
* debian/rules: Drop the call to dh_desktop.
* Upgrade to Standards-Version 3.8.3.
+ Add debian/README.source.
* debian/rules: Rearrange targets.
2009-04-16 - Brian Murray <brian@ubuntu.com>
pyscrabble (1.6.2-3ubuntu4) jaunty; urgency=low
* debian/pyscrabble-common.install: resolve typographic error (LP: #362080) 
2009-04-14 - Steve Langasek <steve.langasek@ubuntu.com>
pyscrabble (1.6.2-3ubuntu3) jaunty; urgency=low
* debian/rules: pass --prefix=/usr to setup.py install, without which
the package tries to install to /usr/local under python2.6.
2009-04-13 - Steve Langasek <steve.langasek@ubuntu.com>
pyscrabble (1.6.2-3ubuntu2) jaunty; urgency=low
* Revert the previous change; python2.4-zodb no longer exists, and
depending on python2.4-zodb never gave correct results anyway because
we were depending on python instead of python2.4 for the interpreter.
* debian/pyscrabble-{common,server}.install: installation now to python
dist-packages directory, instead of site-packages.  (This will require
a fix for bug 350016 in python2.6 before it can be built.)
2008-08-29 - Riccardo Coccioli <volans@ubuntu.com>
pyscrabble (1.6.2-3ubuntu1) intrepid; urgency=low
* Modify dependency python-zodb to python2.4-zodb in debian/control
for the python-zodb -> python2.4-zodb transition (LP: #262713)

See Also

Package Description
pysdl2-doc_0.9.3+dfsg2-1_all.deb Python bindings to the SDL2 C-library - documentation
pyside-tools_0.2.15-1_amd64.deb development tools for PySide (uic, rcc, lupdate)
pysieved_1.2-1_all.deb managesieve server
pysiogame_1.30.811-1_all.deb educational activity pack for kids
pysol-cardsets_2.0+dfsg2-1_all.deb transitional package from pysol-cardsets to pysolfc-cardsets
pysolfc-cardsets_2.0+dfsg2-1_all.deb additional card graphics for PysolFC
pysolfc_2.0-3_all.deb collection of more than 1000 solitaire card games
pysph-doc_0~20160122.git1fe4786-1_all.deb documentation and examples for PySPH
pysph-viewer_0~20160122.git1fe4786-1_amd64.deb viewer for PySPH - framework for Smoothed Particle Hydrodynamics
pyspread_1.0.1-1_all.deb cross-platform Python spreadsheet application
pysycache-buttons-beerabbit_3.1-3.1_all.deb Bee-rabbit images for buttons activities for PySyCache
pysycache-buttons-crapaud_3.1-3.1_all.deb Crapaud images for buttons activities for PySyCache
pysycache-buttons-ice_3.1-3.1_all.deb Ice images for buttons activities for PySyCache
pysycache-buttons-wolf_3.1-3.1_all.deb Wolf images for buttons activities for PySyCache
pysycache-click-dinosaurs_3.1-3.1_all.deb Dinosaurs images for click activities for PySyCache
Advertisement
Advertisement